ch.qos.logback.classic.jul

## Class JULHelper

- java.lang.Object
- - ch.qos.logback.classic.jul.JULHelper

    public class JULHelper
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`JULHelper()`

### Method Summary

Methods
`static java.util.logging.Level` `asJULLevel(Level lbLevel)`
`static java.util.logging.Logger` `asJULLogger(Logger logger)`
`static java.util.logging.Logger` `asJULLogger(java.lang.String loggerName)`
`static java.lang.String` `asJULLoggerName(java.lang.String loggerName)`
`static boolean` `isRegularNonRootLogger(java.util.logging.Logger julLogger)`
`static boolean` `isRoot(java.util.logging.Logger julLogger)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JULHelper

    public JULHelper()

### Method Detail

#### isRegularNonRootLogger

    public static final boolean isRegularNonRootLogger(java.util.logging.Logger julLogger)

#### isRoot

    public static final boolean isRoot(java.util.logging.Logger julLogger)

#### asJULLevel

    public static java.util.logging.Level asJULLevel(Level lbLevel)

#### asJULLoggerName

    public static java.lang.String asJULLoggerName(java.lang.String loggerName)

#### asJULLogger

    public static java.util.logging.Logger asJULLogger(java.lang.String loggerName)

#### asJULLogger

    public static java.util.logging.Logger asJULLogger(Logger logger)